# Tool

API Documentation: | `Tool`

Known Subtypes: |
`PreprocessingTool`

Note: This class is incubating and may change in a future version of Gradle.

Configuration of the arguments of a ToolChain executable.

### Properties

Property | Description
`args` | Incubating The arguments passed when executing this tool.

### Methods

Method | Description
`args(args)` | Incubating Adds a number of arguments to be passed to the tool.

### Script blocks

No script blocks

### Property details

#### ``List`<`String`>` `args` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The arguments passed when executing this tool.

### Method details

#### `void` `args`(``String`...` args)

Note: This method is incubating and may change in a future version of Gradle.

Adds a number of arguments to be passed to the tool.